#!/usr/bin/python
# -*- encoding: utf-8 -*-
from PyQt4 import QtCore, QtGui, QtWebKit

from hga.controleditor.gui_controleditor.ui_hcolaborativa import ui_hcolaborativa

class Ui_hcolaborativa_cliente(QtGui.QMainWindow, ui_hcolaborativa):
	
	def __init__(self, gui, nombreDocu, parent=None):
		super(Ui_hcolaborativa_cliente, self).__init__(parent)
		self.setupUi(self)
		self.gui = gui
		self.webColaborativa.load(QtCore.QUrl(nombreDocu))
		self.center()

		self.show()
		
	def reloadHerramienta(self, nombreDocu):
		self.gui.btnHColaborativa.setEnabled(True)
		self.webColaborativa.load(QtCore.QUrl(nombreDocu))

	def cerrarHerramienta(self,event=None):
		self.close()

	def center(self):
		GeoFrame = self.frameGeometry()
		center = QtGui.QDesktopWidget().availableGeometry().center()
		GeoFrame.moveCenter(center)
		self.move(GeoFrame.topLeft())