# -*- coding: utf-8 -*-
##\namespace 

import sys
import os

from PyQt4 import QtCore, QtGui

from hga.gui.servidor.ui_baneados import Ui_MainBaneados
import hga.gui.common.icon_rc


class SBaneados(QtGui.QDialog, Ui_MainBaneados):
	def __init__(self, sgestion, banned_users_conex, parent=None):
		super(SBaneados, self).__init__(parent)
		self.setupUi(self)
		self.icon37 = QtGui.QIcon()
		self.icon37.addPixmap(QtGui.QPixmap(":/common/icon/icon3.png"))
		self.sgestion = sgestion
		self.center()
		self.connect(self.btnReadmitirAlum, QtCore.SIGNAL("clicked()"), self.readmite)
		self.connect(self.listWidget_UserProhibido, QtCore.SIGNAL('itemClicked(QListWidgetItem *)'), self.activa_boton)
		self.connect(self, QtCore.SIGNAL("updateVentana"), self.update_ventana)
		self.btnReadmitirAlum.setEnabled(False)
		self.update_ventana(banned_users_conex)


	#Crea la lista de los usuarios prohibidos
	def update_ventana(self, banned_users_conex):
		if banned_users_conex != None:
			self.usuarios_baneados = banned_users_conex

			self.listWidget_UserProhibido.clear()
			conectados = 0
			for nick in self.usuarios_baneados.keys():
				cargarItem = self.usuarios_baneados.get(nick)
				item = QtGui.QListWidgetItem(cargarItem['nick'])
				item.setIcon(self.icon37)
				item.setFlags(QtCore.Qt.ItemIsEnabled | QtCore.Qt.ItemIsSelectable)
				self.listWidget_UserProhibido.addItem(item)
				conectados = conectados + 1	

	def readmite(self):
		users = [unicode(i.text()) for i in self.listWidget_UserProhibido.selectedItems()]
		map(self.sgestion.handlers["UNBAN_USER_CB"],users)
		self.closeEvent()

	def activa_boton(self):
		self.btnReadmitirAlum.setEnabled(True)

	def closeEvent(self,event=None):
		self.close()
		self.sgestion.subclaseBaneados = None

	def center(self):
		GeoFrame = self.frameGeometry()
		center = QtGui.QDesktopWidget().availableGeometry().center()
		GeoFrame.moveCenter(center)
		self.move(GeoFrame.topLeft())