#!/usr/bin/python
# -*- encoding: utf-8 -*-
## \namespace gui_controldesktop
from PyQt4 import QtCore, QtGui

from hga.controldesktop.gui_controldesktop.ui_ventana_abrir_navegador import ui_VentanaAbrirNavegador

class VentanaAbrirNavegador(QtGui.QDialog, ui_VentanaAbrirNavegador):
	def __init__(self, gestion, users=None, parent=None):
		super(VentanaAbrirNavegador, self).__init__(parent)
		self.gestion=gestion
		self.users=users
		self.setupUi(self)
		self.center()

		self.connect(self.btnAceptar, QtCore.SIGNAL("clicked()"), self.enviar_url)
		self.connect(self.btnCancelar, QtCore.SIGNAL("clicked()"), self.close)
		self.connect(self, QtCore.SIGNAL('triggered()'), self.closeEvent)

	def enviar_url(self):
		url=unicode(self.lineEdit.text())
		self.close()
		if not self.users: 
			self.gestion.controldesktop_handlers["EJECUTAR_NAVEGADOR"](url)
		else:
			url = [url]
			map(self.gestion.controldesktop_handlers["EJECUTAR_NAVEGADOR"],url,self.users)

	def center(self):
		GeoFrame = self.frameGeometry()
		center = QtGui.QDesktopWidget().availableGeometry().center()
		GeoFrame.moveCenter(center)
		self.move(GeoFrame.topLeft())