#!/usr/bin/python
# -*- encoding: utf-8 -*-
## \namespace gui_controldesktop
from PyQt4 import QtCore, QtGui

from hga.controldesktop.gui_controldesktop.ui_ventana_msg_info import ui_ventanaMsgInfo

class VentanaMensajeInfo(QtGui.QDialog, ui_ventanaMsgInfo):
	def __init__(self, gestion, users=None, parent=None):
		super(VentanaMensajeInfo, self).__init__(parent)
		self.gestion=gestion
		self.users=users
		self.setupUi(self)
		self.center()

		self.connect(self.btnAceptar, QtCore.SIGNAL("clicked()"), self.enviar_msg)
		self.connect(self.btnCancelar, QtCore.SIGNAL("clicked()"), self.closeEvent)
		self.lineEdit.textChanged.connect(self.habilitarAceptar)
		self.connect(self, QtCore.SIGNAL('triggered()'), self.closeEvent)
		self.btnAceptar.setEnabled(False)

	def enviar_msg(self):
		msg = str(self.lineEdit.text())
		if len(msg.strip(' ')) > 0:
			self.close()
			if not self.users: 
				self.gestion.controldesktop_handlers["MENSAJE_INFO"](msg)
			else:
				msg = [msg]
				map(self.gestion.controldesktop_handlers["MENSAJE_INFO"],msg,self.users)

	def habilitarAceptar(self):
		msg = str(self.lineEdit.text())
		if len(msg.strip(' ')) > 0:
			self.btnAceptar.setEnabled(True)
		else:
			self.btnAceptar.setEnabled(False)

	def closeEvent(self,event=None):
		self.close()

	def center(self):
		GeoFrame = self.frameGeometry()
		center = QtGui.QDesktopWidget().availableGeometry().center()
		GeoFrame.moveCenter(center)
		self.move(GeoFrame.topLeft())