#!/usr/bin/python
# -*- encoding: utf-8 -*-
from PyQt4 import QtCore, QtGui
from hga.controleditor.gui_controleditor.ui_hcolaborativa_cliente import Ui_hcolaborativa_cliente


class sControlEditor_cliente():
	def __init__(self, gui):
		self.gui = gui
		self.nombreDocumentoC = ""
		self.vColaborativa = None

	def controleditor_signals(self):
		self.gui.connect(self.gui.btnHColaborativa, QtCore.SIGNAL("clicked()"), self.activarHerrColaborativa)
		self.gui.connect(self.gui, QtCore.SIGNAL("stop_hcolaborativa"), self.stop_btnColaborativo)
		self.gui.connect(self.gui, QtCore.SIGNAL("reloadURL"), self.reloadHerramienta)

	""" """"""""""""""""""""""""""""""""""""""""""" """
	"""   "Funciones de Herramienta Colaborativa"   """
	""" """"""""""""""""""""""""""""""""""""""""""" """
	## \fn habilita_btnColaborativo(self, accion)
	# \brief Habilita el boton de la herramienta colaborativa para que el usuario pueda utilizarla.
	# \param accion habilitar o deshabilitar el boton
	# \param nombreDocu, direccion ip del servidor y nombre del documento creado
	def stop_btnColaborativo(self):	
		self.gui.btnHColaborativa.setEnabled(False)
		self.gui.HCStatus = False
		if self.vColaborativa != None:
			self.vColaborativa.cerrarHerramienta()
			self.vColaborativa = None
			self.nombreDocumentoC = None

	## \fn activarHerrColaborativa(self)
	# \brief Crea la ventana de la herramienta colaborativa.
	def activarHerrColaborativa(self):
		self.vColaborativa = Ui_hcolaborativa_cliente(self.gui, self.nombreDocumentoC)
		self.gui.HCStatus = True

	def reloadHerramienta(self, url):
		self.nombreDocumentoC = url
		if self.vColaborativa != None:
			self.vColaborativa.reloadHerramienta(self.nombreDocumentoC)
		else:
			self.gui.btnHColaborativa.setEnabled(True)