#!/usr/bin/python
# -*- encoding: utf-8 -*-
## \namespace controleditor
from PyQt4 import QtCore, QtGui

from hga.controleditor.gui_controleditor.ui_ventana_abrir_pad import ui_VentanaAbrirPad

class VentanaAbrirPad(QtGui.QDialog, ui_VentanaAbrirPad):
	def __init__(self, gui, parent=None):
		super(VentanaAbrirPad, self).__init__(parent)
		self.gui=gui
		self.setupUi(self)
		self.center()

		self.connect(self.btnAceptar, QtCore.SIGNAL("clicked()"), self.enviar_url)
		self.connect(self.btnListar, QtCore.SIGNAL("clicked()"), self.enviar_url_listado)
		self.padNameText.textChanged.connect(self.habilitar_btnAceptar)
		self.connect(self.btnCancelar, QtCore.SIGNAL("clicked()"), self.closeEvent)
		self.connect(self, QtCore.SIGNAL('triggered()'), self.closeEvent)

	def enviar_url(self):
		nompad=unicode(self.padNameText.text())
		if len(nompad.strip(' ')) > 0:
			self.close()
			self.gui.acceder_pad(nompad)

	def enviar_url_listado(self):
		self.close()
		self.gui.listar_pads()

	## \fn def habilitar_btnPadNameAceptar(self):
	# \brief El botón "Acceder al documento" se habilitará solo en caso de que se haya introducido algún caracter
	def habilitar_btnAceptar(self):
		if self.padNameText.text():
			self.btnAceptar.setEnabled(True)
		else:
			self.btnAceptar.setEnabled(False)

	def center(self):
		GeoFrame = self.frameGeometry()
		center = QtGui.QDesktopWidget().availableGeometry().center()
		GeoFrame.moveCenter(center)
		self.move(GeoFrame.topLeft())

	def closeEvent(self,event=None):
		self.close()